Page MenuHomePhabricator

New Pages Feed: "created date" value changes depending on sort
Closed, ResolvedPublic

Description

One of the reviewers who was testing the New Pages Feed in the Test Wiki noticed that the prominent bold date in the upper right of a listing in the New Pages Feed can change depending on the sort. Our desired business rule is that that date is always the page's created date. This is the date to which I am referring:

Here is how to reproduce this problem in Test Wiki:

  1. Filter the New Pages Feed to "AfC" and State = "Declined".
  2. Sort the feed by "Created date (newest)".
  3. Observe that the date for draft "Test Draft 004" reads "22:43, 11 July 2018".
  4. Sort the feed by "Submitted date (newest)".
  5. Observe that the date for draft "Test Draft 004" reads "12:55, 2 August 2018".

That date -- 12:55, 2 August 2018 -- is actually the most recent edit date on the page, which is not a date we intend to display anywhere.

Event Timeline

MMiller_WMF triaged this task as Normal priority.Aug 7 2018, 12:03 AM
MMiller_WMF created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptAug 7 2018, 12:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Yes, if you are sorting by submission date it is odd to see the creation date listed instead. It will look like it isn't sorting properly. We talked about this briefly, if I remember correctly.

If you want it to always be the creation date, I think that is fine but the submission date should be listed somewhere, too.

Change 451009 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Always show creation date for AfC drafts

https://gerrit.wikimedia.org/r/451009

I've created a patch for if we decide to remove it.

We now show Submission date or Declined date when they apply on each line item so that helps but I agree that with creation date so prominent and right below the sorting options dropdown it can give the impression that it's not properly sorted.

SBisson claimed this task.Aug 7 2018, 6:02 PM

Change 451009 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Always show creation date for AfC drafts

https://gerrit.wikimedia.org/r/451009

Etonkovidova closed this task as Resolved.Aug 9 2018, 9:27 PM

The main issue - ""created date" value changes depending on sort" - is resolved. The created date - the date that is displayed in big bold font in the upper right corner - won't change the selected order and the filter status.

Filed a follow up ticket - T201644: [betalabs] AfC - Declined date displayed as the date of the most recent draft update for the following issue:

Observe that the date for draft "Test Draft 004" reads "12:55, 2 August 2018".
That date -- 12:55, 2 August 2018 -- is actually the most recent edit date on the page, which is not a date we intend to display >anywhere.

Change 452856 had a related patch set uploaded (by Catrope; owner: Sbisson):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.16] Always show creation date for AfC drafts

https://gerrit.wikimedia.org/r/452856

Change 452856 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.16] Always show creation date for AfC drafts

https://gerrit.wikimedia.org/r/452856

Change 453133 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Cleanup isReviewedSorting

https://gerrit.wikimedia.org/r/453133

Change 453133 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Cleanup isReviewedSorting

https://gerrit.wikimedia.org/r/453133